## Class TWebControlAdapter

Description

TWebControlAdapter class

TWebControlAdapter is the base class for adapters that customize rendering for the Web control to which the adapter is attached. It may be used to modify the default markup or behavior for specific browsers.

- since: 3.0
- version: $Id: TWebControlAdapter.php 1398 2006-09-08 19:31:03Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/WebControls/TWebControlAdapter.php (line 26)

    TComponent
       |
       --TApplicationComponent
          |
          --TControlAdapter
             |
             --TWebControlAdapter

Method Summary
void render (THtmlWriter $writer)
void renderBeginTag (THtmlWriter $writer)
void renderContents (THtmlWriter $writer)
void renderEndTag (THtmlWriter $writer)
Methods
render (line 34)

Renders the control to which the adapter is attached.

It calls renderBeginTag, renderContents and renderEndTag in order.

- access: public

void render (THtmlWriter $writer)

- THtmlWriter $writer: writer for the rendering purpose

Redefinition of:

TControlAdapter::render()
  This method is invoked when the control renders itself.

renderBeginTag (line 46)

Renders the openning tag for the attached control.

Default implementation calls the attached control's corresponding method.

- access: public

void renderBeginTag (THtmlWriter $writer)

- THtmlWriter $writer: writer for the rendering purpose

renderContents (line 56)

Renders the body contents within the attached control tag.

Default implementation calls the attached control's corresponding method.

- access: public

void renderContents (THtmlWriter $writer)

- THtmlWriter $writer: writer for the rendering purpose

renderEndTag (line 66)

Renders the closing tag for the attached control.

Default implementation calls the attached control's corresponding method.

- access: public

void renderEndTag (THtmlWriter $writer)

- THtmlWriter $writer: writer for the rendering purpose

#### Inherited Methods

Inherited From TControlAdapter

> TControlAdapter::__construct()
> TControlAdapter::createChildControls()
> TControlAdapter::getControl()
> TControlAdapter::getPage()
> TControlAdapter::loadState()
> TControlAdapter::onInit()
> TControlAdapter::onLoad()
> TControlAdapter::onPreRender()
> TControlAdapter::onUnload()
> TControlAdapter::render()
> TControlAdapter::renderChildren()
> TControlAdapter::saveState()

Inherited From TApplicationComponent

> TApplicationComponent::getApplication()
> TApplicationComponent::getRequest()
> TApplicationComponent::getResponse()
> TApplicationComponent::getService()
> TApplicationComponent::getSession()
> TApplicationComponent::getUser()
> TApplicationComponent::publishAsset()
> TApplicationComponent::publishFilePath()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:36:44 -0400 by phpDocumentor 1.3.0RC4